using System;
using Godot;

namespace Cirno.Scripts.Components.FSM;

public abstract partial class FSMStateModule : Node2D
{
    public abstract void Init(Actor actor);
    public abstract void Update(double delta);
    public abstract void PhysicsUpdate(double delta);
}
